summaryrefslogtreecommitdiff
path: root/tests/mv/dir-file
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-02-03 16:40:42 +0000
committerJim Meyering <jim@meyering.net>2000-02-03 16:40:42 +0000
commit83b733230363563c363eb43ad9ebd7f5cf5ce0fc (patch)
tree728acdcb572bf08847f248052ea2449992649afa /tests/mv/dir-file
parentb1a7c1d3f65fcbdb2355f3c73ee12f8625d6e01a (diff)
downloadcoreutils-83b733230363563c363eb43ad9ebd7f5cf5ce0fc.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/mv/dir-file')
-rwxr-xr-xtests/mv/dir-file27
1 files changed, 27 insertions, 0 deletions
diff --git a/tests/mv/dir-file b/tests/mv/dir-file
new file mode 100755
index 000000000..15ac30143
--- /dev/null
+++ b/tests/mv/dir-file
@@ -0,0 +1,27 @@
+#!/bin/sh
+# mv must fail when src and dest are mismatched directory/non-directory.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+tmp=mv-mismatch-$$
+pwd=`pwd`
+trap "cd $pwd; rm -rf $tmp" 0 1 2 3 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp
+mkdir dir dir/file || framework_failure=1
+> file || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+mv dir file && fail=1
+mv file dir && fail=1
+
+exit $fail